require "blue/nginx/version"

module Blue
  module Nginx

    Blue.configure({
      :nginx => {
        :version => '1.5.1'
      }
    })

    Blue::Gems.require('blue-nginx')

    def nginx
      file "/etc/apt/sources.list.d/nginx.list",
        :ensure  => :present,
        :content => "deb http://nginx.org/packages/ubuntu/ precise nginx"
      exec 'get gpg key',
        :command => "wget -O - http://nginx.org/keys/nginx_signing.key | sudo apt-key add -",
        :require => file("/etc/apt/sources.list.d/nginx.list"),
        :unless => "test -x /usr/sbin/nginx"
      exec 'apt-get update',
        :command => 'apt-get update',
        :require => exec("get gpg key"),
        :unless => "test -x /usr/sbin/nginx"
      packages = ["nginx"]
      packages.each do |pkg|
        package pkg,
          :ensure => :installed,
          :require => exec("apt-get update")
      end
      file "/etc/nginx/nginx.conf",
        :ensure => :present,
        :content => template(File.join(File.dirname(__FILE__), '..', '..', 'templates', 'nginx.conf.erb'), binding)
    end

    def self.included(klass)
      klass.class_eval do
        recipe :nginx
      end
    end
  end
end

